Page MenuHomePhabricator

Validate CPF for AstroPay
Closed, ResolvedPublic1 Story Points

Description

We should never send an empty or obviously invalid fiscal_number to AstroPay

Event Timeline

Ejegg created this task.Jul 17 2015, 6:25 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2015, 6:25 PM
atgo triaged this task as Normal priority.Jul 17 2015, 6:33 PM
atgo set Security to None.

Change 225349 had a related patch set uploaded (by Ejegg):
WIP Check CPF is numeric when exists, require for AstroPay

https://gerrit.wikimedia.org/r/225349

Ejegg added a comment.Jul 17 2015, 6:37 PM

We'll need a new calculated validation function that takes country into account. This table may help: https://en.wikipedia.org/wiki/VAT_identification_number#VAT_numbers_of_Latin_American_countries

atgo added a subscriber: atgo.

While you're in there... T106137? If not, we can hit it in the next sprint.

awight moved this task from Backlog to Doing on the Fundraising Sprint ODB board.Jul 21 2015, 7:33 PM

Change 225349 merged by jenkins-bot:
Validate fiscal number when exists, require for AstroPay

https://gerrit.wikimedia.org/r/225349

Ejegg moved this task from Doing to Review on the Fundraising Sprint ODB board.Jul 21 2015, 11:29 PM

Change 226248 had a related patch set uploaded (by Ejegg):
Undo last commit's fiscal number normalization

https://gerrit.wikimedia.org/r/226248

Change 226248 merged by jenkins-bot:
Undo last commit's fiscal number normalization

https://gerrit.wikimedia.org/r/226248

Ejegg claimed this task.Jul 22 2015, 7:43 PM
Ejegg updated the task description. (Show Details)
Ejegg edited a custom field.
Ejegg closed this task as Resolved.Jul 28 2015, 8:00 PM
DStrine edited a custom field.Aug 18 2015, 3:37 PM
DStrine edited a custom field.Aug 18 2015, 6:48 PM